- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
libwps_internal.cpp File Reference
`#include <iomanip>`
`#include <sstream>`
`#include <string>`
`#include <stdlib.h>`
`#include <librevenge/librevenge.h>`
`#include "libwps_internal.h"`

## Namespaces
| libwps

## Functions
uint8_t | libwps::readU8 (librevenge::RVNGInputStream *input)
int8_t | libwps::read8 (librevenge::RVNGInputStream *input)
uint16_t | libwps::readU16 (librevenge::RVNGInputStream *input)
int16_t | libwps::read16 (librevenge::RVNGInputStream *input)
uint32_t | libwps::readU32 (librevenge::RVNGInputStream *input)
int32_t | libwps::read32 (librevenge::RVNGInputStream *input)
bool | libwps::readData (RVNGInputStreamPtr &input, unsigned long size, librevenge::RVNGBinaryData &data)
bool | libwps::readDataToEnd (RVNGInputStreamPtr &input, librevenge::RVNGBinaryData &data)
std::string | libwps::numberingTypeToString (NumberingType type)
std::ostream & | operator<< (std::ostream &o, WPSBorder const &border)

## Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | WPSBorder const & | border
| ) |  |